助田さん、なかださん
ご返事ありがとうございました。

--build=i386-pc-mingw32 が間違いだったようです。
ご指摘のとおりこのオプションを外したら無事buildに成功しまし
た。

In message [ruby-list:41149] Re: 1.8.3 build error on mingw32
 on Fri, 16 Sep 2005 00:08:28 +0900
 Masaki Suketa <masaki.suketa / nifty.ne.jp> wrote:

> クロスコンパイル扱いになるので、mingw32版を作る前に
> 先にCygwin版 Rubyを作っておく必要があります。
> Cygwin版ruby.exeがないとやっぱり失敗する。

今回は、既にmingw版のruby.exeがあったためか定かではありませんが、
buildは成功しました。

-- 
KOBAYASHI Yasuhiro <kobayays / otsukakj.co.jp>